Bug 21293 - perl 5.6 not configured with ithreads support
perl 5.6 not configured with ithreads support
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-24 04:51 EST by Per Steinar Iversen
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 16:22:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Steinar Iversen 2000-11-24 04:51:11 EST
Trying to install PerlMX ( http://www.activestate.com/Products/PerlMx/ )
Install of PerlMX fails with:

Checking Perl version... found Perl v5.6.0

    PerlMx requires a Perl built with ithreads support, which you don't
    seem to have enabled.  Please rebuild Perl with:

        Configure -Dusethreads -Duseithreads

    or simply install the latest version of ActivePerl.  ActivePerl is
    available from:

        http://www.ActiveState.com/Products/ActivePerl/

    I'm giving up now.  Thanks for your interest in PerlMx.

------

I would rather use the perl that comes with RH!
Comment 1 Nalin Dahyabhai 2000-11-28 16:59:24 EST
Rebuilding Perl with thread support would break compatibility with existing
modules which are built for Perl without threads, and for this reason probably
can't be done until the next major release.
Comment 2 Per Steinar Iversen 2000-11-29 03:13:01 EST
I rebuilt the RH 7 perl rpm with thread support. It works well. It is true that
other perl components had to be rebuilt,  I used the CPAN shell for that. Some
warnings when updating DBI but it all runs nicely.
Comment 3 Chip Turner 2001-12-19 03:49:29 EST
we would break backwards compatibility with modules users have compiled that
aren't installed via RPM (and thus we cannot errata them).
Comment 4 Per Steinar Iversen 2002-01-04 06:35:54 EST
Hm, this would seem to mean that no additional functionality could ever be
introduced into perl, at least not the RedHat version?

There are some real problems with the perl threading support though, it makes
perl slower and many (most?) modules are not thread safe.

Currently it is a greater problem for me that RedHat, even in RH 7.2, does not
come with the most recent version of Perl, 5.6.0 is not the latest version and
many modules installed through the CPAN.pm module thus tries to upgrade perl to
5.6.1, this is quite annoying.

Note You need to log in before you can comment on or make changes to this bug.